## snort 2.9.7.0

=== debian/changelog ===
snort (2.9.7.0-5) unstable; urgency=medium

  * debian/control: Depend on perl, not perl-modules (Closes: #779126)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 30 Jun 2015 00:54:42 +0200

snort (2.9.7.0-4) unstable; urgency=low

  * debian/control: Updated deprecated VCs URL to
    git://anonscm.debian.org/pkg-snort/pkg-snort.git
  * Include Snort tools u2boat and u2spewfoo to parse Unified2 log format
    files (Closes: #770882):
     - debian/snort.install: Install the files in the Snort package
     - debian/{u2boat,u2spewfoo}.1 create new manpages for the tools
     - debian/snort.manpages: add the new manpages to the package
     - debian/snort.dirs: create usr/bin/ for the new tools
  * debian/rules: 
     - Use dh_prep instead of dh_clean -k
  * debian/snort.manpages: Add the manpage for snort-stat, which was not
    included in the snort package (but the script was)
  * Rebuild with the latest daq library upstream (libdaq2). Libdaq0 is
    deprecated/obsolete and not maintained upstrea

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 09 Dec 2014 20:37:03 +0100

snort (2.9.7.0-3) unstable; urgency=high

  * debian/control: 
     - Add pkg-config in Build-Depends, it provides the PKG_CHECK_MODULES
       macro used in configure.in. This fixes a FTBFS observed in the
       buildds
     - Add libzma-dev dependency in Build-Depends as it is used in
       configure.in if available

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 24 Oct 2014 23:04:34 +0200

snort (2.9.7.0-2) unstable; urgency=high

  * The new upstream release, as seen with the previous upload, fixes the Out
    of Memory errors found in buildds when building (Closes: #765637)
  * debian/control: Add zlib1g-dev dependency in Build-Depends to fix FTFBFS

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 24 Oct 2014 16:14:20 +0200

snort (2.9.7.0-1) unstable; urgency=high

  * Upgrade to latest upstream version. Rules updates have been dropped
    by Snort upstream for older releases.  Snort 2.9.5.3 is not supported for
    rule updates since December 2013 (Closes: #753915)
    For more information see: https://www.snort.org/eol
  * debian/patches/{config,config_disabled_rules,fix_upstream_typos}: Refresh
    to apply to the newest source
  * debian/rules: 
      + Use dpkg-buildflags to setup the defult compiler and link flags.
      + Enable hardening options when building
  * debian/control: Build-Depend on (dpkg-dev >= 1.16.1~) due to above change
  * debian/patches/configure_werror: New patch to fix configure.in so
     that it can work properly when setting the hardening flags
  * debian/patches/hardening_werror: New patch to fix issues found
     when building with -Werror 
  * Debconf updated Translations:
    - Updated Dutch translation, contributed by Frans Spiesschaert (Closes:
      #764319)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 24 Oct 2014 02:04:35 +0200

snort (2.9.5.3-4) unstable; urgency=medium

  * debian/control: Drop libgnutls-dev, as it is not longer required and it is scheduled
    for removal in sid, and (apparently) uninstallable. (Closes: #764108)
  * debian/control, debian/rules: Run dh-autoreconf when building to update
    config.{sub, guess} and {libtool, aclocal}.m4 (Closes:  #748713)
  * debian/snort.init.d: Change the permissions of the snort PIDFILE once
    snort is started in order to prevent the following error messages when
    snort is *re*started:

    snort[xxxx]: Could not remove pid file /var/run//snort_eth0.pid: Permission denied

    (Closes: #753914)
  * debian/snort-stat.8: Fix filename of the alert log file and point to the
    correct location. (Closes: #709246)
  * Debconf updated Translations:
    - Updated Russian translation, contributed by Yuri Kozlov 
      (Closes: 729710, #721483)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Oct 2014 20:11:15 +0200
