## snort 2.9.15.1

=== debian/changelog ===
snort (2.9.15.1-6build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 09:55:05 +0100

snort (2.9.15.1-6) unstable; urgency=medium

  * debian/rules: Rename the cron.daily script from snort-common to 0snort-common
  * debian/snort-common.{pre,post}inst, debian/snort-common.postrm: Move the 
    cron.daily snort-common file to cron.daily/0snort-common in order for
    Snort to send reports to the system administrator. With the previous setup
    logrotate was running before snort-common which left the log file to 0
    bytes and prevent the package from sending any email reports 
    (Closes: #991977)
  * debian/snort-common.preinst, debian/snort-common.postrm: Apply patch
    provided by Andreas Beckmann to call dpkg-maintscript-helper for all actions (Closes: #991630)
  * Fix FTCBFS with patch provided by Helmut Grohne: (Closes: #977394)
    + Pass reasonable --build and --host to configure.
    + cross.patch: Replace a number of AC_RUN_IFELSE with cross-compatible
      variants.
  * debian/control: Update to Standards Version 4.6.0 (no changes)
  * debian/patches/snort_binary_typos: New patch fixing typos detected by
    lintian in the snort binary and libraries
  * debian/snort-rules-default.README.Debian: Fix typo [lintian fix]
  * Add debian/upstream/metadata (pointing to Snort 3 as there is no Snort 2.x
    code repository available)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 05 Sep 2021 15:38:14 +0200

snort (2.9.15.1-5) unstable; urgency=medium

  * debian/snort-common.{preinst,postinst,postrm}:
    - Handle using dpkg-maintscript-helper mv_conffile the relocation
      of the cronjob /etc/cron.daily/5snort to /etc/cron.daily/snort-common
      instead of moving it manually to prevent dpkg from prompting the
      user upon upgrades from older snort version. Thank you
      Chris Hofstaedtler for the tip (Closes: #984614)
  * debian/control: Add  Pre-Depends: dpkg (>= 1.17.14) as we
    are now using dpkg-maintscript-helper
  * debian/snort-common.{postrm,preinst},
    debian/snort.{postinst,postrm,preinst,prerm}:
    Add DEBIAN_SCRIPT_DEBUG to all maintainer scripts
  * debian/snort.logrotate: Correct name of the alert files (snort.alert
    and not 'alert') this error prevented files from being properly
    logrotated
  * configure.in: Added patch to check if rpc/rpc.h is required and is 
    provided by libtirpc-dev to warn Ubuntu users that libtirpc-dev is 
    required. 
    Note: not added libtirpc-dev to Build-Depends as Debian's glibc6-dev
    includes the RPC headers (LP: #1906572)
  * debian/patches/decoding_do_not_assume_ipv4: Add patch provided by Hugh
    Davenport to not assume that all raw packets are IPv4 packets.
    (Closes: 633066)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 10 Apr 2021 22:55:04 +0200

snort (2.9.15.1-4) unstable; urgency=high

  * debian/snort.docs, debian/snort-doc.docs debian/rules: Add README.csv and
    README.PLUGINS to the snort package and remove from the snort-doc. This
    fixes errors when upgrading from 2.9.7.0-5 which included these documents.
    (Closes: #959858)
  * debian/patches/fix_compile_errors: Add a patch to fix a compile error
  * debian/rules: Disable performance profiling to fix a compile error when
    linking (and also because it is not required in production systems)
  * debian/snort.postinst: Replace tempfile (deprecated) with mktemp
  * debian/snort.install: Add the binaries from the debian/tmp to avoid errors from dh_missing

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Dec 2020 17:23:14 +0100

snort (2.9.15.1-3) unstable; urgency=medium

  * debian/watch: Created new file to watch for new versions
  * debian/snort.logrotate: Added missing snort log files to the logrotate script
  (e.g. /var/log/snort/snort.alert.fast) and include contents similar to the
  logrotate distributed in rpm packages (rpm/snort.logrotate)
  * debian/rules, debian/snort-common-libraries.dirs, debian/patches/config:
  Do not use multi-arch directories for the Snort libraries, instead, locate all
  of the compiled under libraries /usr/lib/snort  (Closes: #962275)
  This fixes the error "FATAL ERROR: /etc/snort/snort.conf(271) Could not stat
  dynamic module path "/usr/lib/i386-linux-gnu/snort_dynamicpreprocessor/": No
  such file or directory" (LP: #1901466, #1902405, #1905164)
  * debian/rules: Drop configure options which are not anymore relevant
  * debian/po: 
    - Update Dutch translation, thanks to Frans Spiesschaert (Closes: #961214)
    - Update German translation, thanks to Chris Leick (Closes: #958766)
  * Convert from ISO-8859-1 to UTF-8 several files under debian:
  debian/my/FAQ.txt, debian/po/ca.po, debian/po/es.po [Lintian fix]
  * debian/control: 
    - Remove dh-autoreconf as it is no longer required [Lintian fix]
    - Remove duplicate Priority in snort-doc [Lintian fix]
  * debian/patches/signature_documentation: Add description [Lintian fix]

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 19 Jul 2020 14:54:29 +0200

snort (2.9.15.1-2) unstable; urgency=medium

  * debian/control:
     - Add libssl-dev as Build-Dep (Closes:#956812)
     - Update Standards version
     - Fix Git-VCS url
     - Make snort-doc Multi-Arch: foreign
  * debian/patches/documentation_debian: Document the use of /etc/default/snort

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 18 Apr 2020 11:56:13 +0200

snort (2.9.15.1-1) unstable; urgency=medium

  * Updated to latest upstream release (Closes: #861842, #827593) 
    (LP: #1669257)
  * debian/patches: Refresh patches with changes of new release
     - config: Update location of libraries from /usr/lib/snort_dynamicengine/
       to usr/lib/i386-linux-gnu/snort_dynamicengine/
  * debian/compat Use debhelper compatibility version 12
  * debian/rules: Switch to dh
    - Fixes build errors with the PDF file (Closes: #952296)

