=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
     libnet1-dev, 
     libpcap0.8-dev, 
     libpcre3-dev, 
-    debhelper (>= 5.0.0), 
+    debhelper (>= 12.0.0), 
     po-debconf (>= 0.5.0), 
     libdumbnet-dev, 
     libdaq-dev, 
     flex, 
     bison,
-    dh-autoreconf,
     dpkg-dev (>= 1.16.1~),
     pkg-config,
     zlib1g-dev,
-    liblzma-dev
+    liblzma-dev,
+    libluajit-5.1-dev,
+    libnghttp2-dev,
+    libssl-dev
 Build-Depends-Indep: 
     texlive, 
     texlive-binaries, 
@@ -25,14 +27,14 @@
     texlive-font-utils,
     latex2html,
     ghostscript
-Standards-Version: 3.9.6
-Homepage: http://www.snort.org/
-Vcs-Git: git://anonscm.debian.org/pkg-snort/pkg-snort.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-snort/pkg-snort.git
+Standards-Version: 4.6.0
+Homepage: https://www.snort.org/
+Vcs-Git: https://salsa.debian.org/jfs/pkg-snort.git
+Vcs-Browser: https://salsa.debian.org/jfs/pkg-snort
 
 Package: snort
 Architecture: any
-Pre-Depends: adduser (>= 3.11)
+Pre-Depends: adduser (>= 3.11), ${misc:Pre-Depends}
 Depends: 
     snort-common-libraries (>=${binary:Version}),
     snort-rules-default (>= ${source:Version}), 
@@ -41,6 +43,7 @@
     rsyslog | system-log-daemon,
     logrotate,
     net-tools,
+    lsb-base,
     ${shlibs:Depends},
     ${misc:Depends}
 Conflicts: 
@@ -62,7 +65,7 @@
 
 Package: snort-common
 Architecture: all
-Pre-Depends: adduser (>= 3.11)
+Pre-Depends: adduser (>= 3.11), dpkg (>= 1.17.14), ${misc:Pre-Depends}
 Depends: 
     perl, 
     debconf (>= 0.2.80) | debconf-2.0,
@@ -86,8 +89,8 @@
 
 Package: snort-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Priority: optional
 Section: doc
 Description: flexible Network Intrusion Detection System - documentation
  Snort is a libpcap-based packet sniffer/logger which can be used as a
