=== debian/watch ===
version=4
https://www.snort.org/downloads/ /downloads/snort/snort-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
