## snort 2.9.20

=== debian/changelog ===
snort (2.9.20-0+deb11u1ubuntu1) noble; urgency=medium

  * d/control: add a B-D on libtirpc-dev
  * d/p/implicit-functions.patch: fix armhf FTBFS (LP: #2062547)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 19 Apr 2024 14:32:34 +0200

snort (2.9.20-0+deb11u1) bullseye-security; urgency=high


  * Non-maintainer upload.
  * New upstream version 2.9.20.
    -Fix CVE-2021-40114, CVE-2021-34749, CVE-2021-1495, CVE-2021-1494,
     CVE-2021-1224, CVE-2021-1223,CVE-2020-3315, CVE-2020-3299,
     CVE-2021-1236.
  * Refresh the patches.
  * Drop autoconf, fix_compile_errors and fix_ftbfs_in_manual.tex patches
    because they are apparently no longer required.

 -- Markus Koschany <apo@debian.org>  Sat, 18 Feb 2023 14:40:27 +0100
